.root {
  --primary-color: var(--color-сurious-blue);
  --secondary-color: var(--color-white);
  --figure-color: var(--color-hint-of-red);
  --width: 88px;
  --height: 88px;

  position: relative;

  display: inline-flex;
  justify-content: flex-start;
  align-items: flex-start;

  margin: 0 auto;
  padding-top: 1rem;
  padding-left: 1.5rem;
  padding-right: 1.5rem;

  color: var(--primary-color);
}

.root::before {
  content: "";

  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;

  display: block;
  width: 80px;
  height: 80px;
  background-color: var(--figure-color);
}

.square {}

.circle::before {
  border-radius: 50%;
}

.triangle-bottom::before {
  background-color: transparent;
  border-top: 40px solid transparent;
  border-right: 40px solid var(--figure-color);
  border-bottom: 40px solid var(--figure-color);
  border-left: 40px solid transparent;
}

.triangle-top::before {
  background-color: transparent;
  border-top: 40px solid var(--figure-color);
  border-right: 40px solid transparent;
  border-bottom: 40px solid transparent;
  border-left: 40px solid var(--figure-color);
}

.triangle-top-right::before {
  background-color: transparent;
  border-top: 40px solid var(--figure-color);
  border-right: 40px solid var(--figure-color);
  border-bottom: 40px solid transparent;
  border-left: 40px solid transparent;
}

.root svg {
  width: var(--width);
  height: var(--height);
}

.no-figure {
  padding: 0;
}

.no-figure::before {
  content: none;
}

